ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# VariantAnnotationField 

###

#### object VariantAnnotationField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantAnnotationField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def SchemaValue: SchemaVal
   Attributes
     protected
   Definition Classes
     FieldEnumeration
5.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  val alleleCount: SchemaVal
10.  val alleleFrequency: SchemaVal
11.  val ancestralAllele: SchemaVal
12.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  val attributes: SchemaVal
15.  val cigar: SchemaVal
16.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
17.  val dbSnp: SchemaVal
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  val forwardReadDepth: SchemaVal
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  val hapMap2: SchemaVal
23.  val hapMap3: SchemaVal
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def maxId: Int
    Definition Classes
      Enumeration
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
29.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
32.  val readDepth: SchemaVal
33.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
34.  val recordSchema: Schema
    Definition Classes
      FieldEnumeration
35.  val referenceForwardReadDepth: SchemaVal
36.  val referenceReadDepth: SchemaVal
37.  val referenceReverseReadDepth: SchemaVal
38.  val reverseReadDepth: SchemaVal
39.  val somatic: SchemaVal
40.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
41.  val thousandGenomes: SchemaVal
42.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
43.  val transcriptEffects: SchemaVal
44.  val validated: SchemaVal
45.  def values: ValueSet
    Definition Classes
      Enumeration
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped